Skip to main content
`Ctrl`+`K`

# PCMGSetOperators

Sets operator and matrix from which to construct a preconditioner for lth level

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetOperators(PC pc, PetscInt l, Mat Amat, Mat Pmat)

Logically Collective

## Input Parameters

- pc - the multigrid context

- Amat - the operator

- Pmat - the preconditioning operator

- l - the level (0 is the coarsest) to supply

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetGalerkin()`, `PCMGSetRestriction()`, `PCMGSetInterpolation()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages